<?php
/**
 * The template for displaying the footer.
 *
 * @package Rocco
 * @author Muffin group
 * @link http://muffingroup.com
 */
?>

	<!-- #Footer -->		
	<footer id="Footer" class="clearfix">
	
		<!-- .Our_clients_slider -->
		<?php if( mfn_opts_get('clients-show') ) get_template_part( 'includes/footer', 'clients' ); ?>
	
		<div class="widgets_wrapper">
			<div class="container">
				<?php
					$sidebars_count = 0;	
					for( $i = 1; $i <= 4; $i++ ){
						if ( is_active_sidebar( 'footer-area-'. $i ) ) $sidebars_count++;
					}
				
					$sidebar_class = '';
					if( $sidebars_count > 0 ){
						switch( $sidebars_count ){
							case 2: $sidebar_class = 'one-second'; break; 
							case 3: $sidebar_class = 'one-third'; break; 
							case 4: $sidebar_class = 'one-fourth'; break;
							default: $sidebar_class = 'one';
						}
					}
				?>
				
				<?php 
					for( $i = 1; $i <= 4; $i++ ){
						if ( is_active_sidebar( 'footer-area-'. $i ) ){
							echo '<div class="'. $sidebar_class .' column">';
								dynamic_sidebar( 'footer-area-'. $i );
							echo '</div>';
						}
					}
				?>
		
			</div>
		</div>

		<div class="copyrights">
			<div class="container">
				<div class="column one">

					<p>
						<span class="copy">&copy; <?php echo date( 'Y' ); ?> <strong><?php bloginfo( 'name' ); ?></strong>. <?php _e( 'All Rights Reserved.', 'rocco' ); ?></span>
					</p>
					<div class="social">
						<ul>
							<?php if( mfn_opts_get('social-facebook') ): ?><li class="facebook"><a target="_blank" href="<?php mfn_opts_show('social-facebook'); ?>" title="Facebook">F</a></li><?php endif; ?>
							<?php if( mfn_opts_get('social-googleplus') ): ?><li class="googleplus"><a target="_blank" href="<?php mfn_opts_show('social-googleplus'); ?>" title="Google+">G</a></li><?php endif; ?>
							<?php if( mfn_opts_get('social-twitter') ): ?><li class="twitter"><a target="_blank" href="<?php mfn_opts_show('social-twitter'); ?>" title="Twitter">L</a></li><?php endif; ?>
							<?php if( mfn_opts_get('social-vimeo') ): ?><li class="vimeo"><a target="_blank" href="<?php mfn_opts_show('social-vimeo'); ?>" title="Vimeo">V</a></li><?php endif; ?>
							<?php if( mfn_opts_get('social-youtube') ): ?><li class="youtube"><a target="_blank" href="<?php mfn_opts_show('social-youtube'); ?>" title="YouTube">X</a></li><?php endif; ?>
							<?php if( mfn_opts_get('social-flickr') ): ?><li class="flickr"><a target="_blank" href="<?php mfn_opts_show('social-flickr'); ?>" title="Flickr">N</a></li><?php endif; ?>
							<?php if( mfn_opts_get('social-linkedin') ): ?><li class="linked_in"><a target="_blank" href="<?php mfn_opts_show('social-linkedin'); ?>" title="LinkedIn">I</a></li><?php endif; ?>
							<?php if( mfn_opts_get('social-pinterest') ): ?><li class="pinterest"><a target="_blank" href="<?php mfn_opts_show('social-pinterest'); ?>" title="Pinterest">:</a></li><?php endif; ?>
							<?php if( mfn_opts_get('social-dribbble') ): ?><li class="dribbble"><a target="_blank" href="<?php mfn_opts_show('social-dribbble'); ?>" title="Dribbble">D</a></li><?php endif; ?>
						</ul>
					</div>									

				</div>
			</div>
		</div>
		
	</footer>

</div>

<?php if( mfn_opts_get('popup-contact-form') ): ?>
	<?php $translate['contact-form-title'] = mfn_opts_get('translate') ? mfn_opts_get('translate-contact-form-title','Send us a message') : __('Send us a message','rocco'); ?>
	<div id="popup_contact">
		<a class="ico" href="#"><i class="icon-envelope"></i></a>
		<div class="popup_contact_wrapper">
			<h4><?php echo $translate['contact-form-title']; ?></h4>
			<?php echo do_shortcode( mfn_opts_get('popup-contact-form') ); ?>
			<span class="arrow"></span>
		</div>
	</div>
<?php endif; ?>
	
<!-- wp_footer() -->
<?php wp_footer(); ?>

</body>
</html>